ONVIF::Media::Types::PTZStatusFilterOptions(3pm)

NAME
ONVIF::Media::Types::PTZStatusFilterOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZStatusFilterOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PanTiltStatusSupported

•   ZoomStatusSupported

•   PanTiltPositionSupported

•   ZoomPositionSupported

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::PTZStatusFilterOptions
   PanTiltStatusSupported =>  $some_value, # boolean
   ZoomStatusSupported =>  $some_value, # boolean
   PanTiltPositionSupported =>  $some_value, # boolean
   ZoomPositionSupported =>  $some_value, # boolean
   Extension =>  { # ONVIF::Media::Types::PTZStatusFilterOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL